"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getUsageRouter = void 0;
const express_1 = require("express");
const usage_1 = require("../helpers/usage");
function getUsageRouter(config, _logger) {
    return express_1.Router().get('/usage', async (_req, res) => {
        const space = await usage_1.checkDiskSpace(config.torrents.path);
        const usedSpace = await usage_1.getUsedSpace(config.torrents.path);
        res.json({
            totalDiskSpace: space.size,
            freeDiskSpace: space.free,
            usedTorrentSpace: usedSpace,
        });
    });
}
exports.getUsageRouter = getUsageRouter;
