import { TorrentClientFile } from '.';
export declare const mirrors: string[];
/**
 * Download tracker list from https://github.com/ngosang/trackerslist
 */
export declare function downloadTrackers(): Promise<string[]>;
export interface FindFileOptions {
    /**
     * Case insensitive file name or path
     */
    file?: string;
    /**
     * File index (starting from `1`)
     */
    fileIndex?: number;
    /**
     * Case insensitive file mime type (e.g. `video`, `video/mp4`, `mp4`) or file extension (e.g. `.mp4`, `mp4`)
     */
    fileType?: string;
}
/**
 * Find a file by given options, returns the biggest file
 * @param files
 * @param options
 */
export declare function findFile(files: TorrentClientFile[], options: FindFileOptions): TorrentClientFile | undefined;
